plugins {
    id 'java'
    id 'org.springframework.boot' version '3.4.0'
    id 'io.spring.dependency-management' version '1.1.6'
}

dependencies {
    implementation project(':business-common')
    implementation project(":business-domain")
    implementation project(":business-infrastructure")

    // ucloud sdk
    implementation 'cn.ucloud:ucloud-sdk-java-usms:1.2.17-release'

    // https://mvnrepository.com/artifact/com.google.guava/guava
    implementation 'com.google.guava:guava:33.4.0-jre'
    implementation 'io.nats:jnats:2.16.14'
}